Package com.fasterxml.jackson.core.util

# Interface JsonGeneratorDecorator

public interface JsonGeneratorDecorator
Simple interface to allow adding decorators around `JsonGenerator`s.

Since:
  2.16

## Method Summary

Modifier and Type
Method
Description
`JsonGenerator`
`decorate(JsonFactory factory, JsonGenerator generator)`
Allow to decorate `JsonGenerator` instances returned by `JsonFactory`.

## Method Details

### decorate

JsonGenerator decorate(JsonFactory factory, JsonGenerator generator)
Allow to decorate `JsonGenerator` instances returned by `JsonFactory`.

Parameters:
  `factory` - The factory which was used to build the original generator
  `generator` - The generator to decorate. This might already be a decorated instance, not the original.
Returns:
  decorated generator
Since:
  2.16